Add a supplier
POST
/stock/suppliers
const url = 'https://example.com/stock/suppliers';const options = { method: 'POST', headers: { cookie: 'bottle.session_token=<bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"name":"example","address":"example","accountNumber":"example","note":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/stock/suppliers \ --header 'Content-Type: application/json' \ --cookie bottle.session_token=<bottle.session_token> \ --data '{ "name": "example", "address": "example", "accountNumber": "example", "note": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
address
string | null
accountNumber
string | null
note
string | null
Examplegenerated
{ "name": "example", "address": "example", "accountNumber": "example", "note": "example"}Responses
Section titled “Responses”The supplier, with its contacts
Media typeapplication/json
object
id
required
UUID v7
string format: uuid
name
required
string
address
required
string | null
accountNumber
required
string | null
note
required
string | null
archivedAt
required
string | null format: date-time
yardIds
required
Array<string>
productIds
required
Array<string>
contacts
required
Array<object>
object
id
required
UUID v7
string format: uuid
name
required
string
jobTitle
required
string | null
phone
required
string | null
email
required
string | null
note
required
string | null
isMain
required
boolean
isBilling
required
boolean
forOrders
required
boolean
forDeliveries
required
boolean
openOrders
required
integer
lastOrderedAt
required
string | null format: date-time
Example
{ "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "yardIds": [ "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" ], "productIds": [ "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" ], "contacts": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" } ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}No such supplier or contact in this business
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}